Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706840 - x11-misc/x11vnc-0.9.16-r3 : fails to build with -fno-common or gcc-10
Summary: x11-misc/x11vnc-0.9.16-r3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alexander Tsoy
URL: https://github.com/LibVNC/x11vnc/pull...
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:20 UTC by Toralf Förster
Modified: 2020-01-30 06:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.74 KB, text/plain)
2020-01-28 18:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,108.28 KB, text/plain)
2020-01-28 18:20 UTC, Toralf Förster
Details
environment (environment,63.95 KB, text/plain)
2020-01-28 18:20 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.61 KB, application/x-bzip)
2020-01-28 18:20 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.74 KB, application/x-bzip)
2020-01-28 18:20 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,24.44 KB, application/x-bzip)
2020-01-28 18:20 UTC, Toralf Förster
Details
x11-misc:x11vnc-0.9.16-r3:20200128-001717.log (x11-misc:x11vnc-0.9.16-r3:20200128-001717.log,81.86 KB, text/plain)
2020-01-28 18:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:20:33 UTC
xwrappers.c:1428:4: warning: ignoring return value of ‘write’, declared with attribute warn_unused_result [-Wunused-result]
 1428 |    write(tmp_fd, xauth_raw_data, xauth_raw_len);
      |    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o x11vnc x11vnc-8to24.o x11vnc-appshare.o x11vnc-avahi.o x11vnc-cleanup.o x11vnc-connections.o x11vnc-cursor.o x11vnc-gui.o x11vnc-help.o x11vnc-inet.o x11vnc-keyboard.o x11vnc-linuxfb.o x11vnc-macosx.o x11vnc-macosxCG.o x11vnc-macosxCGP.o x11vnc-macosxCGS.o x11vnc-macosx_opengl.o x11vnc-options.o x11vnc-pm.o x11vnc-pointer.o x11vnc-rates.o x11vnc-remote.o x11vnc-scan.o x11vnc-screen.o x11vnc-selection.o x11vnc-solid.o x11vnc-sslcmds.o x11vnc-sslhelper.o x11vnc-uinput.o x11vnc-unixpw.o x11vnc-user.o x11vnc-userinput.o x11vnc-util.o x11vnc-v4l.o x11vnc-win_utils.o x11vnc-x11vnc.o x11vnc-x11vnc_defs.o x11vnc-xdamage.o x11vnc-xevents.o x11vnc-xi2_devices.o x11vnc-xinerama.o x11vnc-xkb_bell.o x11vnc-xrandr.o x11vnc-xrecord.o x11vnc-xwrappers.o -lvncserver -lvncclient  -lssl -lcrypto -lcrypt -lXtst -lXtst -lXtst  -lXext -lXrandr -lXfixes -lXdamage -lXcomposite -lXcursor -lX11 -lXi -lcairo  -lnsl 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: x11vnc-appshare.o:(.bss+0x0): multiple definition of `pointerMutex'; x11vnc-8to24.o:(.bss+0x40020): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: x11vnc-appshare.o:(.bss+0x40): multiple definition of `inputMutex'; x11vnc-8to24.o:(.bss+0x40060): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 23:06:20 +0000

emerge -qpvO x11-misc/x11vnc
[ebuild  N    ] x11-misc/x11vnc-0.9.16-r3  USE="crypt libressl ssl xcomposite xdamage xfixes xrandr -fbcon -xinerama -zeroconf"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:20:36 UTC
Created attachment 606054 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:20:39 UTC
Created attachment 606056 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:20:42 UTC
Created attachment 606058 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:20:45 UTC
Created attachment 606060 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:20:48 UTC
Created attachment 606062 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:20:50 UTC
Created attachment 606064 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:20:53 UTC
Created attachment 606066 [details]
x11-misc:x11vnc-0.9.16-r3:20200128-001717.log
Comment 8 Larry the Git Cow gentoo-dev 2020-01-30 06:33:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e82d0a5251dd59099ed8f07308d2b87374ac2afc

commit e82d0a5251dd59099ed8f07308d2b87374ac2afc
Author:     Alexander Tsoy <alexander@tsoy.me>
AuthorDate: 2020-01-29 11:57:34 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-01-30 06:33:07 +0000

    x11-misc/x11vnc: fix build with -fno-common
    
    Closes: https://bugs.gentoo.org/706840
    Signed-off-by: Alexander Tsoy <alexander@tsoy.me>
    Closes: https://github.com/gentoo/gentoo/pull/14495
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 .../x11vnc/files/x11vnc-0.9.16-fno-common.patch    | 45 ++++++++++++++++++++++
 x11-misc/x11vnc/x11vnc-0.9.16-r3.ebuild            |  3 +-
 2 files changed, 47 insertions(+), 1 deletion(-)